State
Memory Correct
POST
/
api
/
v1
/
memory
/
correct
Memory Correct
curl --request POST \
--url https://rei-neuroadapt-api.reilabs.org/api/v1/memory/correct \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "<string>",
"user_message": "<string>",
"memory_id": "<string>",
"ai_message": "",
"context": {}
}
'import requests
url = "https://rei-neuroadapt-api.reilabs.org/api/v1/memory/correct"
payload = {
"session_id": "<string>",
"user_message": "<string>",
"memory_id": "<string>",
"ai_message": "",
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_id: '<string>',
user_message: '<string>',
memory_id: '<string>',
ai_message: '',
context: {}
})
};
fetch('https://rei-neuroadapt-api.reilabs.org/api/v1/memory/correct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Unit API Key mapped to an agent in the agents collection. The proxy forces session_id = agentId.
Body
application/json
Response
Successful Response
The response is of type Response Memory Correct Api V1 Memory Correct Post · object.
⌘I
Memory Correct
